# Uses of Interface
org.apache.commons.math3.random.NormalizedRandomGenerator

Packages that use NormalizedRandomGenerator
Package
Description
org.apache.commons.math3.random
Random number and random data generators.

## Uses of NormalizedRandomGenerator in org.apache.commons.math3.random

Classes in org.apache.commons.math3.random that implement NormalizedRandomGenerator
Modifier and Type
Class
Description
`class`
`GaussianRandomGenerator`
This class is a gaussian normalized random generator for scalars.
`class`
`StableRandomGenerator`
This class provides a stable normalized random generator.
`class`
`UniformRandomGenerator`
This class implements a normalized uniform random generator.
Methods in org.apache.commons.math3.random that return NormalizedRandomGenerator
Modifier and Type
Method
Description
`NormalizedRandomGenerator`
CorrelatedRandomVectorGenerator.`getGenerator()`
Get the underlying normalized components generator.
Constructors in org.apache.commons.math3.random with parameters of type NormalizedRandomGenerator
Modifier
Constructor
Description
``
`CorrelatedRandomVectorGenerator(double[] mean, RealMatrix covariance, double small, NormalizedRandomGenerator generator)`
Builds a correlated random vector generator from its mean vector and covariance matrix.
``
`CorrelatedRandomVectorGenerator(RealMatrix covariance, double small, NormalizedRandomGenerator generator)`
Builds a null mean random correlated vector generator from its covariance matrix.
``
`UncorrelatedRandomVectorGenerator(double[] mean, double[] standardDeviation, NormalizedRandomGenerator generator)`
Simple constructor.
``
`UncorrelatedRandomVectorGenerator(int dimension, NormalizedRandomGenerator generator)`
Simple constructor.